質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.49%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Q&A

解決済

3回答

7601閲覧

python環境におけるscipyのインストールについて

kaniha

総合スコア6

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

0グッド

0クリップ

投稿2020/01/24 10:01

編集2020/01/24 11:28

python 3.6.8を現在使用しています。
先日scipyを利用しようと思いインストールを試みました。

pip3 install scipy

上記のコマンドを実行した結果、

Collecting scipy Using cached https://files.pythonhosted.org/packages/04/ab/e2eb3e3f90b9363040a3d885ccc5c79fe20c5b8a3caa8fe3bf47ff653260/scipy-1.4.1.tar.gz Building wheels for collected packages: scipy Running setup.py bdist_wheel for scipy ... error Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-apk6uosh/scipy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" bdist_wheel -d /tmp/tmp29zwm4fypip-wheel- --python-tag cp36: Running from scipy source directory. lapack_opt_info: lapack_mkl_info: customize UnixCCompiler libraries mkl_rt not found in ['/usr/local/lib', '/usr/lib', '/usr/lib/aarch64-linux-gnu'] NOT AVAILABLE

赤字エラー

Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-hd8i2_kd/scipy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-ke7lwy9d-record/install-record.txt --single-version-externally-managed --compile --user --prefix=" failed with error code 1 in /tmp/pip-build-hd8i2_kd/scipy

以下とてつもなく長いエラー文が表示されました。
まだ勉強して日が浅いです。
わかる方ご教授お願いします。

※追記
jetson nanoというデバイスを使用しています。
pythonのインストールはデバイス購入時に流れ作業で行ってしまったため覚えていません。
OSはUbuntu 18.04 LTSとなっています。
エラーすべて入れようとしたところ字数制限によりすべて載せることが不可能だったので赤字エラーのみ追記しました。

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

hayataka2049

2020/01/24 10:23 編集

> 以下とてつもなく長いエラー文 すべて掲載してください また、環境等を書いてください(OSやpythonをインストールした方法など)。
kaniha

2020/01/24 10:56

ありがとう御座います。情報を更新しました。 エラー文に関してなのですがターミナルのほとんど最上位から最下位までのものになってしまいます。掲載に時間がかかりますのでまた更新します。
guest

回答3

0

解決いたしました。報告が遅くなってしまい申し訳ありません。回答してくれたお二方ありがとうございました。

投稿2020/01/27 03:49

編集2020/01/27 03:50
kaniha

総合スコア6

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

0

ベストアンサー

特殊な環境なので、特有のtipsみたいなのを探したほうが早いかもしれません。たとえばこんなのが見つかりました。

cannot import scipy on jetson nano - NVIDIA Developer Forums
install scipy on jetson nano - NVIDIA Developer Forums

権限と依存をチェックして問題があったら直す、そもそもpipにこだわらないでOSのパッケージマネージャ(apt)から入れるといったソリューションがありそうです。

投稿2020/01/24 18:41

編集2020/01/24 18:41
hayataka2049

総合スコア30933

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

0

libraries mkl_rt not found

mkl : Math Kernel Library が必要なようですね。
参考: https://qiita.com/unnonouno/items/8ab453a1868d77a93679

私の環境では mkl がない状態で scipy をインストールできてしまったけど、何かスイッチがあるのかな?

投稿2020/01/24 12:29

shiracamus

総合スコア5406

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

hayataka2049

2020/01/24 18:50 編集

LAPACKの実装が何かしら見つかればそれを使うので、MKL自体はなくても動きます。openblasとか。
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.49%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問